Abrir tópico com a navegação

Conectando com ODBC Genérico

Configurando ODBC no Mac

A instalação automática do Scriptcase já vem com o ODBC pré-configurado, faltando apenas o driver UnixODBC para realizar a conexão.

OBS: É necessário ter o comando brew instalado no seu Mac para poder realizar a instalação do driver UnixODBC.

Execute esse comando se você não possuir o comando brew instalado no seu Mac:

ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"

Realize a instalação através do terminal, executando o comando abaixo:

brew install unixodbc

Reinicie o serviço web.

- cd /Applications/NetMake/v81/components/xamppfiles/

- sudo ./xampp restart

Abrir tópico com a navegação

Drivers ODBC Genérico

Atualmente o ScriptCase possui um driver para conexão com o banco de dados ODBC : ODBC Genérico.

Abaixo, podemos ver suas características:

ODBC Genérico ( Recomendado ) : Possibilita realizar conexão aos bancos de dados que possuem suporte à criação de fonte de dados ODBC utilizando o driver ODBC nativo do PHP.

Criando um Conexão no Scriptcase

Conectando-se ao ODBC no Scriptcase

Abrir tópico com a navegação

Agora acessaremos o ScriptCase pelo browser e vamos criar a conexão com a base de dados do ODBC.

Passo 1: Acesse o seu ScriptCase, por exemplo, http://localhost:8081/scriptcase/ na barra de ferramentes vá até o ícone destacado na figura a abaixo, referente a "Nova Conexão".

Passo 2: Após clicar em “Nova”, irá aparecer a tela de criação de conexão, clique na imagem do banco ODBC.

Passo 3: Na imagem a seguir, preencha as especificações pedidas:

Para mais detalhes na configuração da conexão do banco da dados clique na aba Avançado

Filtro - Clicando nessa Aba, aparecerá a seguinte tela:

Passo 4: Sempre teste a sua conexão antes de concluir a mesma, se aparecer a mensagem “Conexão Realizada com Sucesso", então conclua a criação da conexão.
Se houver alguma falha na conexão, reveja os campos preenchidos, principalmente o usuário, senha, servidor e a base de dados.

Verifique se o módulo está devidamente habilitado no PHP.